/**
 * 
 */
/**
 * @author dasheng
 * terminal_info 终端信息参数     支付方式为：WECHAT_MICROPAY该字段必填
 */
package com.tzy.framework.pay.Entity;

public class TerminalInfoEntity{	
	String location;
	String network_license;
	String device_type;
	String serial_num;
	String terminal_id;////终端设备的硬件序列号---支付宝，
	String device_id;///-终端设备号----微信，
	String encrypt_rand_num;
	String secret_text;
	String app_version;
	String device_ip;
	String mobile_country_cd;
	String mobile_net_num;
	String icc_id;
	String location_cd1;
	String lbs_num1;
	String lbs_signal1;
	String location_cd2;
	String lbs_num2;
	String lbs_signal2;
	String location_cd3;
	String lbs_num3;
	String lbs_signal3;
	String telecom_sys_id;
	String telecom_net_id;
	String telecom_lbs;
	String telecom_lbs_signal;
	
	public TerminalInfoEntity(String payCode,String Deviceid){
		this.location="";
		this.network_license="";
		this.device_type="";
		this.serial_num="";
		this.device_id="";
		this.terminal_id="";
		if(payCode.startsWith("WECHAT")){
			this.device_id= Deviceid;///-终端设备号
		}else if(payCode.startsWith("ALIPAY")){
			this.terminal_id=Deviceid;
		}
		
		this.encrypt_rand_num="";
		this.secret_text="";
		this.app_version="";
		this.device_ip="";
		this.mobile_country_cd="";
		this.mobile_net_num="";
		this.icc_id="";
		this.location_cd1="";
		this.lbs_num1="";
		this.lbs_signal1="";
		this.location_cd2="";
		this.lbs_num2="";
		this.lbs_signal2="";
		this.location_cd3="";
		this.lbs_num3="";
		this.lbs_signal3="";
		this.telecom_sys_id="";
		this.telecom_net_id="";
		this.telecom_lbs="";
		this.telecom_lbs_signal="";
	}
	
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public String getNetwork_license() {
		return network_license;
	}
	public void setNetwork_license(String network_license) {
		this.network_license = network_license;
	}
	public String getDevice_type() {
		return device_type;
	}
	public void setDevice_type(String device_type) {
		this.device_type = device_type;
	}
	public String getSerial_num() {
		return serial_num;
	}
	public void setSerial_num(String serial_num) {
		this.serial_num = serial_num;
	}
	public String getDevice_id() {
		return device_id;
	}
	public void setDevice_id(String device_id) {
		this.device_id = device_id;
	}
	public String getEncrypt_rand_num() {
		return encrypt_rand_num;
	}
	public void setEncrypt_rand_num(String encrypt_rand_num) {
		this.encrypt_rand_num = encrypt_rand_num;
	}
	public String getSecret_text() {
		return secret_text;
	}
	public void setSecret_text(String secret_text) {
		this.secret_text = secret_text;
	}
	public String getApp_version() {
		return app_version;
	}
	public void setApp_version(String app_version) {
		this.app_version = app_version;
	}
	public String getDevice_ip() {
		return device_ip;
	}
	public void setDevice_ip(String device_ip) {
		this.device_ip = device_ip;
	}
	public String getMobile_country_cd() {
		return mobile_country_cd;
	}
	public void setMobile_country_cd(String mobile_country_cd) {
		this.mobile_country_cd = mobile_country_cd;
	}
	public String getMobile_net_num() {
		return mobile_net_num;
	}
	public void setMobile_net_num(String mobile_net_num) {
		this.mobile_net_num = mobile_net_num;
	}
	public String getIcc_id() {
		return icc_id;
	}
	public void setIcc_id(String icc_id) {
		this.icc_id = icc_id;
	}
	public String getLocation_cd1() {
		return location_cd1;
	}
	public void setLocation_cd1(String location_cd1) {
		this.location_cd1 = location_cd1;
	}
	public String getLbs_num1() {
		return lbs_num1;
	}
	public void setLbs_num1(String lbs_num1) {
		this.lbs_num1 = lbs_num1;
	}
	public String getLbs_signal1() {
		return lbs_signal1;
	}
	public void setLbs_signal1(String lbs_signal1) {
		this.lbs_signal1 = lbs_signal1;
	}
	public String getLocation_cd2() {
		return location_cd2;
	}
	public void setLocation_cd2(String location_cd2) {
		this.location_cd2 = location_cd2;
	}
	public String getLbs_num2() {
		return lbs_num2;
	}
	public void setLbs_num2(String lbs_num2) {
		this.lbs_num2 = lbs_num2;
	}
	public String getLbs_signal2() {
		return lbs_signal2;
	}
	public void setLbs_signal2(String lbs_signal2) {
		this.lbs_signal2 = lbs_signal2;
	}
	public String getLocation_cd3() {
		return location_cd3;
	}
	public void setLocation_cd3(String location_cd3) {
		this.location_cd3 = location_cd3;
	}
	public String getLbs_num3() {
		return lbs_num3;
	}
	public void setLbs_num3(String lbs_num3) {
		this.lbs_num3 = lbs_num3;
	}
	public String getLbs_signal3() {
		return lbs_signal3;
	}
	public void setLbs_signal3(String lbs_signal3) {
		this.lbs_signal3 = lbs_signal3;
	}
	public String getTelecom_sys_id() {
		return telecom_sys_id;
	}
	public void setTelecom_sys_id(String telecom_sys_id) {
		this.telecom_sys_id = telecom_sys_id;
	}
	public String getTelecom_net_id() {
		return telecom_net_id;
	}
	public void setTelecom_net_id(String telecom_net_id) {
		this.telecom_net_id = telecom_net_id;
	}
	public String getTelecom_lbs() {
		return telecom_lbs;
	}
	public void setTelecom_lbs(String telecom_lbs) {
		this.telecom_lbs = telecom_lbs;
	}
	public String getTelecom_lbs_signal() {
		return telecom_lbs_signal;
	}
	public void setTelecom_lbs_signal(String telecom_lbs_signal) {
		this.telecom_lbs_signal = telecom_lbs_signal;
	}
	public String getTerminal_id() {
		return terminal_id;
	}
	public void setTerminal_id(String terminal_id) {
		this.terminal_id = terminal_id;
	}

	@Override
	public String toString() {
		return "TerminalInfoEntity [location=" + location + ", network_license=" + network_license + ", device_type="
				+ device_type + ", serial_num=" + serial_num + ", terminal_id=" + terminal_id + ", device_id="
				+ device_id + ", encrypt_rand_num=" + encrypt_rand_num + ", secret_text=" + secret_text
				+ ", app_version=" + app_version + ", device_ip=" + device_ip + ", mobile_country_cd="
				+ mobile_country_cd + ", mobile_net_num=" + mobile_net_num + ", icc_id=" + icc_id + ", location_cd1="
				+ location_cd1 + ", lbs_num1=" + lbs_num1 + ", lbs_signal1=" + lbs_signal1 + ", location_cd2="
				+ location_cd2 + ", lbs_num2=" + lbs_num2 + ", lbs_signal2=" + lbs_signal2 + ", location_cd3="
				+ location_cd3 + ", lbs_num3=" + lbs_num3 + ", lbs_signal3=" + lbs_signal3 + ", telecom_sys_id="
				+ telecom_sys_id + ", telecom_net_id=" + telecom_net_id + ", telecom_lbs=" + telecom_lbs
				+ ", telecom_lbs_signal=" + telecom_lbs_signal + "]";
	}
	
	

}